Bug 1003860 - gnome-initial-setup running at every boot when using non-domain network auth
gnome-initial-setup running at every boot when using non-domain network auth
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 07:36 EDT by Stephen Gallagher
Modified: 2015-02-17 12:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:02:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2013-09-03 07:36:55 EDT
Description of problem:
I recently reinstalled Fedora 19 on my laptop from scratch. When I booted up, it launched gnome-initial-setup which forced me to create a local user (or use the new realmd interface for setting up an enterprise login). Neither of these options was correct for my environment, since I did not have an Active Directory or FreeIPA domain to connect to, but a generic LDAP+Kerberos setup. I planned to just set SSSD up as root and sign in using a network login, but this was impossible.

So I then created a local account which was automatically logged in. I used this session to become root, set up SSSD and then reboot and become my network user. I then removed the temporary local account since it's unnecessary. However, on the next reboot, this triggered gnome-initial-setup to run again, thereby forcing me to *again* create a local user account that I do not want (and do not want on my login screen)

Version-Release number of selected component (if applicable):
gnome-initial-setup-0.12-1.fc19.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Install Fedora 19
2. Create a local user
3. Set up SSSD (without using realmd)
4. Reboot
5. Sign in to network user
6. Remove local user.
7. Reboot

Actual results:
gnome-initial-setup runs again after step 7, forcing me to again create a local user.

Expected results:
gnome-initial-setup should not run if GDM is aware of a valid login user.

Additional info:
This is a very serious issue for anyone who is using Fedora in a corporate environment with a custom LDAP/KRB5 authentication system. It forces the creation of an *administrator* account where it is probably unwanted.
Comment 3 Fedora End Of Life 2015-01-09 14:42:14 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:02:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.